CREATE TABLE ben_elig_pstl_cd_r_rng_prte (
    ELIG_PSTL_CD_R_RNG_PRTE_ID    NUMBER(18, 0),
    START_DATE                    DATE         ,
    END_DATE                      DATE         ,
    ORDR_NUM                      NUMBER(18, 0),
    EXCLD_FLAG                    VARCHAR2(120)    NOT NULL,
    PSTL_ZIP_RNG_ID               NUMBER(18, 0)    NOT NULL,
    ELIGY_PRFL_ID                 NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CRITERIA_SCORE                NUMBER       ,
    CRITERIA_WEIGHT               NUMBER       ,
    ELIG_PSTL_CD_R_RNG_PRTE_ID    NUMBER(18, 0),
    START_DATE                    DATE         ,
    END_DATE                      DATE         ,
    ORDR_NUM                      NUMBER(18, 0),
    EXCLD_FLAG                    VARCHAR2(120)    NOT NULL,
    PSTL_ZIP_RNG_ID               NUMBER(18, 0)    NOT NULL,
    ELIGY_PRFL_ID                 NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CRITERIA_SCORE                NUMBER       ,
    CRITERIA_WEIGHT               NUMBER       ,
    CONSTRAINT pk_ben_elig_pstl_cd_r_rng_prte PRIMARY KEY (ELIG_PSTL_CD_R_RNG_PRTE_ID, ELIG_PSTL_CD_R_RNG_PRTE_ID)
);
